#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private JYA.NewsPrep[] cacheNewsPrep;

		
		public JYA.NewsPrep NewsPrep(int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			return NewsPrep(Input, bufferWindow, useMon1, mon1, useMon2, mon2, useMon3, mon3, useTue1, tue1, useTue2, tue2, useTue3, tue3, useWed1, wed1, useWed2, wed2, useWed3, wed3, useThu1, thu1, useThu2, thu2, useThu3, thu3, useFri1, fri1, useFri2, fri2, useFri3, fri3);
		}


		
		public JYA.NewsPrep NewsPrep(ISeries<double> input, int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			if (cacheNewsPrep != null)
				for (int idx = 0; idx < cacheNewsPrep.Length; idx++)
					if (cacheNewsPrep[idx].BufferWindow == bufferWindow && cacheNewsPrep[idx].UseMon1 == useMon1 && cacheNewsPrep[idx].Mon1 == mon1 && cacheNewsPrep[idx].UseMon2 == useMon2 && cacheNewsPrep[idx].Mon2 == mon2 && cacheNewsPrep[idx].UseMon3 == useMon3 && cacheNewsPrep[idx].Mon3 == mon3 && cacheNewsPrep[idx].UseTue1 == useTue1 && cacheNewsPrep[idx].Tue1 == tue1 && cacheNewsPrep[idx].UseTue2 == useTue2 && cacheNewsPrep[idx].Tue2 == tue2 && cacheNewsPrep[idx].UseTue3 == useTue3 && cacheNewsPrep[idx].Tue3 == tue3 && cacheNewsPrep[idx].UseWed1 == useWed1 && cacheNewsPrep[idx].Wed1 == wed1 && cacheNewsPrep[idx].UseWed2 == useWed2 && cacheNewsPrep[idx].Wed2 == wed2 && cacheNewsPrep[idx].UseWed3 == useWed3 && cacheNewsPrep[idx].Wed3 == wed3 && cacheNewsPrep[idx].UseThu1 == useThu1 && cacheNewsPrep[idx].Thu1 == thu1 && cacheNewsPrep[idx].UseThu2 == useThu2 && cacheNewsPrep[idx].Thu2 == thu2 && cacheNewsPrep[idx].UseThu3 == useThu3 && cacheNewsPrep[idx].Thu3 == thu3 && cacheNewsPrep[idx].UseFri1 == useFri1 && cacheNewsPrep[idx].Fri1 == fri1 && cacheNewsPrep[idx].UseFri2 == useFri2 && cacheNewsPrep[idx].Fri2 == fri2 && cacheNewsPrep[idx].UseFri3 == useFri3 && cacheNewsPrep[idx].Fri3 == fri3 && cacheNewsPrep[idx].EqualsInput(input))
						return cacheNewsPrep[idx];
			return CacheIndicator<JYA.NewsPrep>(new JYA.NewsPrep(){ BufferWindow = bufferWindow, UseMon1 = useMon1, Mon1 = mon1, UseMon2 = useMon2, Mon2 = mon2, UseMon3 = useMon3, Mon3 = mon3, UseTue1 = useTue1, Tue1 = tue1, UseTue2 = useTue2, Tue2 = tue2, UseTue3 = useTue3, Tue3 = tue3, UseWed1 = useWed1, Wed1 = wed1, UseWed2 = useWed2, Wed2 = wed2, UseWed3 = useWed3, Wed3 = wed3, UseThu1 = useThu1, Thu1 = thu1, UseThu2 = useThu2, Thu2 = thu2, UseThu3 = useThu3, Thu3 = thu3, UseFri1 = useFri1, Fri1 = fri1, UseFri2 = useFri2, Fri2 = fri2, UseFri3 = useFri3, Fri3 = fri3 }, input, ref cacheNewsPrep);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.JYA.NewsPrep NewsPrep(int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			return indicator.NewsPrep(Input, bufferWindow, useMon1, mon1, useMon2, mon2, useMon3, mon3, useTue1, tue1, useTue2, tue2, useTue3, tue3, useWed1, wed1, useWed2, wed2, useWed3, wed3, useThu1, thu1, useThu2, thu2, useThu3, thu3, useFri1, fri1, useFri2, fri2, useFri3, fri3);
		}


		
		public Indicators.JYA.NewsPrep NewsPrep(ISeries<double> input , int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			return indicator.NewsPrep(input, bufferWindow, useMon1, mon1, useMon2, mon2, useMon3, mon3, useTue1, tue1, useTue2, tue2, useTue3, tue3, useWed1, wed1, useWed2, wed2, useWed3, wed3, useThu1, thu1, useThu2, thu2, useThu3, thu3, useFri1, fri1, useFri2, fri2, useFri3, fri3);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.JYA.NewsPrep NewsPrep(int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			return indicator.NewsPrep(Input, bufferWindow, useMon1, mon1, useMon2, mon2, useMon3, mon3, useTue1, tue1, useTue2, tue2, useTue3, tue3, useWed1, wed1, useWed2, wed2, useWed3, wed3, useThu1, thu1, useThu2, thu2, useThu3, thu3, useFri1, fri1, useFri2, fri2, useFri3, fri3);
		}


		
		public Indicators.JYA.NewsPrep NewsPrep(ISeries<double> input , int bufferWindow, bool useMon1, int mon1, bool useMon2, int mon2, bool useMon3, int mon3, bool useTue1, int tue1, bool useTue2, int tue2, bool useTue3, int tue3, bool useWed1, int wed1, bool useWed2, int wed2, bool useWed3, int wed3, bool useThu1, int thu1, bool useThu2, int thu2, bool useThu3, int thu3, bool useFri1, int fri1, bool useFri2, int fri2, bool useFri3, int fri3)
		{
			return indicator.NewsPrep(input, bufferWindow, useMon1, mon1, useMon2, mon2, useMon3, mon3, useTue1, tue1, useTue2, tue2, useTue3, tue3, useWed1, wed1, useWed2, wed2, useWed3, wed3, useThu1, thu1, useThu2, thu2, useThu3, thu3, useFri1, fri1, useFri2, fri2, useFri3, fri3);
		}

	}
}

#endregion
